You can import this changeset into BK by piping this whole message to:
'| bk receive [path to repository]' or apply the patch as usual.

===================================================================


ChangeSet@1.1421.1.5, 2003-11-11 00:40:27-02:00, acme@conectiva.com.br
  o X25: use sk_wait_event primitive


 af_x25.c |    7 ++-----
 1 files changed, 2 insertions(+), 5 deletions(-)


diff -Nru a/net/x25/af_x25.c b/net/x25/af_x25.c
--- a/net/x25/af_x25.c	Sat Nov 15 17:02:42 2003
+++ b/net/x25/af_x25.c	Sat Nov 15 17:02:42 2003
@@ -734,11 +734,8 @@
 		if (!timeout)
 			break;
 		rc = 0;
-		if (skb_queue_empty(&sk->sk_receive_queue)) {
-			release_sock(sk);
-			timeout = schedule_timeout(timeout);
-			lock_sock(sk);
-		} else
+		if (sk_wait_event(sk, &timeout,
+				  !skb_queue_empty(&sk->sk_receive_queue)))
 			break;
 	}
 	__set_current_state(TASK_RUNNING);

===================================================================


This BitKeeper patch contains the following changesets:
1.1421.1.5
## Wrapped with gzip_uu ##


M'XL( %)XMC\  \5486O;,!#];/V*&X72L-H^R9(=&U*RM6,;&RQD%/8M*,JE
M-HGMSI;3!?SCIV2C7=ML964P25A(]_3T=/?P$5RVU&2>-B6Q(WA7MS;S3%V1
ML<5&!Z8N@WGC M.Z=H$PKTL*=]APOA)A1=8701QPYA 3;4T.&VK:S.-!=+MC
MM]>4>=,W;R\_OIHR-AK!>:ZK*_I,%D8C9NMFH]>+=JQMOJZKP#:Z:DNR^[O[
M6V@O$(7KBB<1JKCG,<JD-WS!N9:<%BCD,)9L)VW\4/Y]EHB[AD(,4?;(TU2R
M"^ !E\)] @48A9R[ 8B9Q$PD/HH,$0XRPTL./K+7\&]?<<X,U/!%J RZEJ!=
MS6YT86>TH<K"=5.4A=- [ -PGB@VN4LH\_^R,88:V=D3^EV=PV]"A7HY<U-@
M?GU&JM)>Q@GRGN:1&:IANAPF?*ZD.)RR@V0_:R(=9\\=K]S[Y"'R:;L\3RC;
M%)7>!I5>KW59V[P;7[6TT_U;SH@C)EPJC!)7PUC$>P]%\2/WX)_=(\!7_]$]
M^TQ_ K^YV0]GA\FCI#_#4A=)E(!B[Q/)03#/*Y9P<D^%6YW"L2U*JCM[ZA">
M!_"B7<UG7SOJ:$;EM=V>'+<K_\R=:\B0$_PC-A@,[GXV)B>S:KMRM!!B*=,H
+9M\!6;5-C\\$    
 
